<?php
$wp_customize->add_section(
    'single_related_options',
    array(
        'title' => esc_html__( 'Single Related Options', 'blogsky' ),
        'panel' => 'single_options_panel',
    )
);
/*Show Related Posts
*-------------------------------*/
$wp_customize->add_setting(
    'blogsky_options[show_related_posts]',
    array(
        'default'           => $blogsky_default['show_related_posts'],
        'sanitize_callback' => 'blogsky_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogsky_options[show_related_posts]',
    array(
        'label'    => __( 'Show Related Posts', 'blogsky' ),
        'section'  => 'single_related_options',
        'type'     => 'checkbox',
    )
);

/*Related Posts Text.*/
$wp_customize->add_setting(
    'blogsky_options[related_posts_text]',
    array(
        'default'           => $blogsky_default['related_posts_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogsky_options[related_posts_text]',
    array(
        'label'    => __( 'Related Posts Text', 'blogsky' ),
        'section'  => 'single_related_options',
        'type'     => 'text',
    )
);

/* Number of Related Posts */
$wp_customize->add_setting(
    'blogsky_options[no_of_related_posts]',
    array(
        'default'           => $blogsky_default['no_of_related_posts'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'blogsky_options[no_of_related_posts]',
    array(
        'label'       => __( 'Number of Related Posts', 'blogsky' ),
        'section'     => 'single_related_options',
        'type'        => 'number',
    )
);

/*Related Posts Orderby*/
$wp_customize->add_setting(
    'blogsky_options[related_posts_orderby]',
    array(
        'default'           => $blogsky_default['related_posts_orderby'],
        'sanitize_callback' => 'blogsky_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogsky_options[related_posts_orderby]',
    array(
        'label'       => __( 'Orderby', 'blogsky' ),
        'section'     => 'single_related_options',
        'type'        => 'select',
        'choices' => array(
            'date' => __('Date', 'blogsky'),
            'id' => __('ID', 'blogsky'),
            'title' => __('Title', 'blogsky'),
            'rand' => __('Random', 'blogsky'),
        ),
    )
);

/*Related Posts Order*/
$wp_customize->add_setting(
    'blogsky_options[related_posts_order]',
    array(
        'default'           => $blogsky_default['related_posts_order'],
        'sanitize_callback' => 'blogsky_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogsky_options[related_posts_order]',
    array(
        'label'       => __( 'Order', 'blogsky' ),
        'section'     => 'single_related_options',
        'type'        => 'select',
        'choices' => array(
            'asc' => __('ASC', 'blogsky'),
            'desc' => __('DESC', 'blogsky'),
        ),
    )
);

$wp_customize->add_setting(
    'blogsky_options[enable_related_posts_author_meta]',
    array(
        'default'           => $blogsky_default['enable_related_posts_author_meta'],
        'sanitize_callback' => 'blogsky_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogsky_options[enable_related_posts_author_meta]',
    array(
        'label'       => esc_html__( 'Show Author Meta', 'blogsky' ),
        'section'     => 'single_related_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'blogsky_options[select_related_posts_author_meta]',
    array(
        'default'           => $blogsky_default['select_related_posts_author_meta'],
        'sanitize_callback' => 'blogsky_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogsky_options[select_related_posts_author_meta]',
    array(
        'label'         => esc_html__( 'Author Meta Display Options', 'blogsky' ),
        'section'     => 'single_related_options',
        'type'        => 'select',
        'choices'       => blogsky_author_meta(),


    )
);

$wp_customize->add_setting(
    'blogsky_options[related_posts_author_meta_title]',
    array(
        'default'           => $blogsky_default['related_posts_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogsky_options[related_posts_author_meta_title]',
    array(
        'label'    => __( 'Author Meta Text', 'blogsky' ),
        'section'  => 'single_related_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'blogsky_options[enable_related_posts_date_meta]',
    array(
        'default'           => $blogsky_default['enable_related_posts_date_meta'],
        'sanitize_callback' => 'blogsky_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogsky_options[enable_related_posts_date_meta]',
    array(
        'label'       => esc_html__( 'Display Published Date', 'blogsky' ),
        'section'     => 'single_related_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'blogsky_options[select_related_posts_date]',
    array(
        'default'           => $blogsky_default['select_related_posts_date'],
        'sanitize_callback' => 'blogsky_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogsky_options[select_related_posts_date]',
    array(
        'label'         => esc_html__( 'Select Single Date Meta', 'blogsky' ),
        'section'     => 'single_related_options',
        'type'        => 'select',
        'choices'       => blogsky_date_meta(),

    )
);

$wp_customize->add_setting(
    'blogsky_options[single_related_post_date_meta_title]',
    array(
        'default'           => $blogsky_default['single_related_post_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogsky_options[single_related_post_date_meta_title]',
    array(
        'label'    => __( 'Date Text', 'blogsky' ),
        'section'  => 'single_related_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'blogsky_options[select_related_posts_date_format]',
    array(
        'default'           => $blogsky_default['select_related_posts_date_format'],
        'sanitize_callback' => 'blogsky_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogsky_options[select_related_posts_date_format]',
    array(
        'label'         => esc_html__( 'Select Date Format', 'blogsky' ),
        'section'     => 'single_related_options',
        'type'        => 'select',
        'choices'       => blogsky_get_date_formats(),
    )
);

$wp_customize->add_setting(
    'blogsky_options[enable_related_posts_category_meta]',
    array(
        'default'           => $blogsky_default['enable_related_posts_category_meta'],
        'sanitize_callback' => 'blogsky_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogsky_options[enable_related_posts_category_meta]',
    array(
        'label'       => esc_html__( 'Enable Category Meta', 'blogsky' ),
        'section'     => 'single_related_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'blogsky_options[select_related_posts_number_of_category]',
    array(
        'default'           => $blogsky_default['select_related_posts_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'blogsky_options[select_related_posts_number_of_category]',
    array(
        'label'       => __( 'Number of Category', 'blogsky' ),
        'section'     => 'single_related_options',
        'type'        => 'number',
    )
);

$wp_customize->add_setting(
    'blogsky_options[related_posts_category_label]',
    array(
        'default'           => $blogsky_default['related_posts_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogsky_options[related_posts_category_label]',
    array(
        'label'    => __( 'Category Label', 'blogsky' ),
        'section'  => 'single_related_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'blogsky_options[select_related_posts_category_color]',
    array(
        'default'           => $blogsky_default['select_related_posts_category_color'],
        'sanitize_callback' => 'blogsky_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogsky_options[select_related_posts_category_color]',
    array(
        'label'         => esc_html__( 'Select Category Color', 'blogsky' ),
        'section'     => 'single_related_options',
        'type'        => 'select',
        'choices'       => blogsky_category_color(),

    )
);